
-- Defeat Sounds --
DVRSoundDefeat = {}
DVRSoundDefeat[1] = "DefeatSounds\\IOUS.ogg"
DVRSoundDefeat[2] = "DefeatSounds\\mariodie.ogg"
DVRSoundDefeat[3] = "DefeatSounds\\pacmandie.ogg"
DVRSoundDefeat[4] = "DefeatSounds\\whoa.ogg"
DVRSoundDefeat[5] = "DefeatSounds\\whoops.ogg"
DVRSoundDefeat[6] = "DefeatSounds\\ohno.ogg"
DVRSoundDefeat[7] = "DefeatSounds\\etpm.ogg"
DVRSoundDefeat[8] = "DefeatSounds\\alexdeath.ogg"
DVRSoundDefeat[9] = "DefeatSounds\\zelda.ogg"
DVRSoundDefeat[10] = "DefeatSounds\\mariodie2.ogg"
DVRSoundDefeat[11] = "DefeatSounds\\death1.ogg"
DVRSoundDefeat[12] = "DefeatSounds\\death2.ogg"
DVRSoundDefeat[13] = "DefeatSounds\\drama.ogg"
DVRSoundDefeat[14] = "DefeatSounds\\gooshersfail.ogg"
DVRSoundDefeat[15] = "DefeatSounds\\sonic.ogg"


-- Victory Sounds
DVRSoundVictory = {};
DVRSoundVictory[1] = "VictorySounds\\Victory_FinalFantasy.ogg"
DVRSoundVictory[2] = "VictorySounds\\Victory_FinalFantasyClassic.ogg"
DVRSoundVictory[3] = "VictorySounds\\Victory_FinalFantasyLong.ogg"
DVRSoundVictory[4] = "VictorySounds\\Victory_SuperMarioBros.ogg"
DVRSoundVictory[5] = "VictorySounds\\Victory_SuperMarioBros3.ogg"
DVRSoundVictory[6] = "VictorySounds\\Victory_SuperMarioBrosDungeon.ogg"
DVRSoundVictory[7] = "VictorySounds\\Victory_SuperMarioRPG.ogg"
DVRSoundVictory[8] = "VictorySounds\\Victory_SuperMarioWorld.ogg"
DVRSoundVictory[9] = "VictorySounds\\goosherswin.ogg"
DVRSoundVictory[10] = "VictorySounds\\Chest_Opening_and_Getting_Item.ogg"
DVRSoundVictory[11] = "VictorySounds\\sonic.ogg"



local function playVS(soi, haff, sheesh, wipe)

	if wipe then
		DVRRandom_Sound(DVRSoundDefeat,fastrandom(1,15))
	elseif not wipe then
		DVRRandom_Sound(DVRSoundVictory,fastrandom(1,11))
	end
				
end
	


function DVRRandom_Sound(SoundTable,Sound)
	 
        PlaySoundFile("Interface\\AddOns\\DBM-Boss-Sounds\\"..SoundTable[Sound], "Master");

 
end

function DBM:VS_StartCombat(mod, delay, synced)
-- Plays on start
playVS(true, false, true)
DBM:SavedStartCombat(mod, delay, synced);
end

function DBM:VS_EndCombat(mod, wipe)
playVS(false, false, true, wipe)
DBM:SavedEndCombat(mod, wipe);
end

DBM.SavedEndCombat = DBM.EndCombat;
DBM.EndCombat = DBM.VS_EndCombat;
